## ros-humble-urdf-tutorial 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urdf_tutorial)

find_package(ament_cmake REQUIRED)

install(
  DIRECTORY images launch meshes rviz urdf
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-urdf-tutorial (1.0.0-3jammy) jammy; urgency=high

  * Fixing a problem that failed the startup of launch file of this package on my ROS2 Galactic installation (#53 <https://github.com/ros/urdf_tutorial/issues/53>)
  * Rebasing Commits from ROS 1 Branch (#51 <https://github.com/ros/urdf_tutorial/issues/51>)
  * Updated launch file (#50 <https://github.com/ros/urdf_tutorial/issues/50>)
  * Updated rviz to rviz2 in package.xml (#49 <https://github.com/ros/urdf_tutorial/issues/49>)
  * Port over to ROS2 foxy (#45 <https://github.com/ros/urdf_tutorial/issues/45>)
  * Contributors: Arturs Elksnis, David V. Lu!!, Kuni Natsuki, Leo Stanislas

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 06 Dec 2021 08:00:00 -0000

ros-humble-urdf-tutorial (0.2.5-3jammy) jammy; urgency=high

  * New ROS Control Tutorial
  * Remove dependency on pr2_description (uses local meshes instead)
  * General cleanup, bug fixes and reorganization
  * Contributors: David V. Lu!!, Felix Duvallet, Paul Bovbel, Thibault Kruse

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Apr 2017 07:00:00 -0000

ros-humble-urdf-tutorial (0.2.4-3jammy) jammy; urgency=high

  * Maintainer list changes
  * Add .rviz as an arg
  * fix gazebo.launch for indigo, update to new package name
  * Add run depends
  * Contributors: David V. Lu, Ioan A Sucan, Isaac IY Saito, Kei Okada

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Apr 2015 07:00:00 -0000

ros-humble-urdf-tutorial (0.2.3-3jammy) jammy; urgency=high

  * Merge pull request #7 <https://github.com/ros/urdf_tutorial/issues/7> from gavanderhoorn/issue6_source_vs_devel_vs_install
    Fix issue #6 <https://github.com/ros/urdf_tutorial/issues/6>: No robot model when using display.launch (again)
  * Setup new directory structure and move files around.
  * Contributors: Ioan A Sucan, gavanderhoorn

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 09 Jan 2014 08:00:00 -0000

ros-humble-urdf-tutorial (0.2.2-3jammy) jammy; urgency=high

  * Merge pull request #5 <https://github.com/ros/urdf_tutorial/issues/5> from gavanderhoorn/issue4_missing_robot_model_display
    Fix issue #4 <https://github.com/ros/urdf_tutorial/issues/4>: missing RobotModel display
  * Make roslaunch stop all nodes on RViz exit.
  * Update path to RViz config in display.launch. Fix #4 <https://github.com/ros/urdf_tutorial/issues/4>.
    Seems xacrodisplay.launch was already fixed, but somehow display.launch was not updated. See #3 <https://github.com/ros/urdf_tutorial/issues/3>.
  * fix #3 <https://github.com/ros/urdf_tutorial/issues/3>
  * Contributors: Ioan Sucan, gavanderhoorn

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 Dec 2013 08:00:00 -0000

ros-humble-urdf-tutorial (0.2.1-3jammy) jammy; urgency=high

  * update package name and install location for compatibility with previous build system
  * Contributors: Ioan Sucan

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 May 2013 21:04:00 -0000

ros-humble-urdf-tutorial (0.2.0-3jammy) jammy; urgency=high

  * catkinizing package
  * Merge pull request #1 <https://github.com/ros/urdf_tutorial/issues/1> from ros-industrial/master
    Rviz config file update
  * Ported rviz config file to new groovy format.  Updated launch files to use new config file
  * Added tag unstable for changeset bd8da58ba34e
  * Added tag robot_model_tutorials-0.1.2 for changeset 6ac373f839e0
  * getting ready for 0.1.2 release
  * Added tag unstable for changeset dcec5b1f8ed8
  * Added tag robot_model_tutorials-0.1.1 for changeset e023b0707337
  * getting ready for 0.1.1 release
  * Automated merge with https://kforge.ros.org/robotmodel/tutorials
  * update stack dependencies
  * Added tag unstable for changeset b22bbf7d7850
  * Added tag robot_model_tutorials-0.1.0 for changeset a0b3b46efc95
  * initial copy
  * Updated meta-data, JointStatePublisher with merging ability
  * Cleaning up some manifests
  * URDF Tutorial
  * Bug Fix 3101648
  * Joint Controller renamed and reworked as Joint_state_publisher
  * Screenshot for Joint controller
  * Initial URDF Tools Package
  * Contributors: Ioan Sucan, Shaun Edwards, Wim Meeussen, isucan, probablydavid

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 May 2013 20:47:00 -0000

=== debian/control ===
Source: ros-humble-urdf-tutorial
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/urdf_tutorial
Standards-Version: 3.9.2

Package: ros-humble-urdf-tutorial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher, ros-humble-joint-state-publisher-gui, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-xacro, ros-humble-ros-workspace
Description: This package contains a number of URDF tutorials.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urdf-tutorial//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-urdf-tutorial 1.1.0

=== debian/changelog ===
ros-humble-urdf-tutorial (1.1.0-1bookworm) bookworm; urgency=high

  * Precommit configuration (#64 <https://github.com/ros/urdf_tutorial/issues/64>)
  * Use urdf_launch package (#65 <https://github.com/ros/urdf_tutorial/issues/65>)
  * Add gazebo export to package.xml and tidy up package.xml (#63 <https://github.com/ros/urdf_tutorial/issues/63>)
  * More reasonable inertia values. (#58 <https://github.com/ros/urdf_tutorial/issues/58>)
  * upgrade dae files (#60 <https://github.com/ros/urdf_tutorial/issues/60>) (#61 <https://github.com/ros/urdf_tutorial/issues/61>)
  * Add in a LICENSE file. (#57 <https://github.com/ros/urdf_tutorial/issues/57>)
  * Contributors: Andreas Bihlmaier, Chris Lalancette, David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 28 Sep 2023 16:00:00 -0000

ros-humble-urdf-tutorial (1.0.0-1bookworm) bookworm; urgency=high

  * Fixing a problem that failed the startup of launch file of this package on my ROS2 Galactic installation (#53 <https://github.com/ros/urdf_tutorial/issues/53>)
  * Rebasing Commits from ROS 1 Branch (#51 <https://github.com/ros/urdf_tutorial/issues/51>)
  * Updated launch file (#50 <https://github.com/ros/urdf_tutorial/issues/50>)
  * Updated rviz to rviz2 in package.xml (#49 <https://github.com/ros/urdf_tutorial/issues/49>)
  * Port over to ROS2 foxy (#45 <https://github.com/ros/urdf_tutorial/issues/45>)
  * Contributors: Arturs Elksnis, David V. Lu!!, Kuni Natsuki, Leo Stanislas

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 05 Dec 2021 16:00:00 -0000

ros-humble-urdf-tutorial (0.2.5-1bookworm) bookworm; urgency=high

  * New ROS Control Tutorial
  * Remove dependency on pr2_description (uses local meshes instead)
  * General cleanup, bug fixes and reorganization
  * Contributors: David V. Lu!!, Felix Duvallet, Paul Bovbel, Thibault Kruse

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Apr 2017 16:00:00 -0000

ros-humble-urdf-tutorial (0.2.4-1bookworm) bookworm; urgency=high

  * Maintainer list changes
  * Add .rviz as an arg
  * fix gazebo.launch for indigo, update to new package name
  * Add run depends
  * Contributors: David V. Lu, Ioan A Sucan, Isaac IY Saito, Kei Okada

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Apr 2015 16:00:00 -0000

ros-humble-urdf-tutorial (0.2.3-1bookworm) bookworm; urgency=high

  * Merge pull request #7 <https://github.com/ros/urdf_tutorial/issues/7> from gavanderhoorn/issue6_source_vs_devel_vs_install
    Fix issue #6 <https://github.com/ros/urdf_tutorial/issues/6>: No robot model when using display.launch (again)
  * Setup new directory structure and move files around.
  * Contributors: Ioan A Sucan, gavanderhoorn

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jan 2014 16:00:00 -0000

ros-humble-urdf-tutorial (0.2.2-1bookworm) bookworm; urgency=high

  * Merge pull request #5 <https://github.com/ros/urdf_tutorial/issues/5> from gavanderhoorn/issue4_missing_robot_model_display
    Fix issue #4 <https://github.com/ros/urdf_tutorial/issues/4>: missing RobotModel display
  * Make roslaunch stop all nodes on RViz exit.
  * Update path to RViz config in display.launch. Fix #4 <https://github.com/ros/urdf_tutorial/issues/4>.
    Seems xacrodisplay.launch was already fixed, but somehow display.launch was not updated. See #3 <https://github.com/ros/urdf_tutorial/issues/3>.
  * fix #3 <https://github.com/ros/urdf_tutorial/issues/3>
  * Contributors: Ioan Sucan, gavanderhoorn

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Dec 2013 16:00:00 -0000

ros-humble-urdf-tutorial (0.2.1-1bookworm) bookworm; urgency=high

  * update package name and install location for compatibility with previous build system
  * Contributors: Ioan Sucan

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 May 2013 06:04:00 -0000

ros-humble-urdf-tutorial (0.2.0-1bookworm) bookworm; urgency=high

  * catkinizing package
  * Merge pull request #1 <https://github.com/ros/urdf_tutorial/issues/1> from ros-industrial/master
    Rviz config file update
  * Ported rviz config file to new groovy format.  Updated launch files to use new config file
  * Added tag unstable for changeset bd8da58ba34e
  * Added tag robot_model_tutorials-0.1.2 for changeset 6ac373f839e0
  * getting ready for 0.1.2 release
  * Added tag unstable for changeset dcec5b1f8ed8
  * Added tag robot_model_tutorials-0.1.1 for changeset e023b0707337
  * getting ready for 0.1.1 release
  * Automated merge with https://kforge.ros.org/robotmodel/tutorials
  * update stack dependencies
  * Added tag unstable for changeset b22bbf7d7850
  * Added tag robot_model_tutorials-0.1.0 for changeset a0b3b46efc95
  * initial copy
  * Updated meta-data, JointStatePublisher with merging ability
  * Cleaning up some manifests
  * URDF Tutorial
  * Bug Fix 3101648
  * Joint Controller renamed and reworked as Joint_state_publisher
  * Screenshot for Joint controller
  * Initial URDF Tools Package
  * Contributors: Ioan Sucan, Shaun Edwards, Wim Meeussen, isucan, probablydavid

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 May 2013 05:47:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-humble-urdf-tutorial
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher, ros-humble-joint-state-publisher-gui, ros-humble-robot-state-publisher, ros-humble-rviz2, ros-humble-xacro, ros-humble-ros-workspace
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-urdf-launch, ros-humble-ros-workspace
 Description: This package contains a number of URDF tutorials.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urdf-tutorial//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urdf-tutorial//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-urdf-tutorial//opt/ros/humble/opt/urdf_tutorial/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
